com.fasterxml.jackson.databind

## Class EnumNamingStrategies.CamelCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.EnumNamingStrategies.DelegatingEnumNamingStrategy
  - - com.fasterxml.jackson.databind.EnumNamingStrategies.CamelCaseStrategy

All Implemented Interfaces:
  EnumNamingStrategy

Enclosing class:
  EnumNamingStrategies

Deprecated.
Since 2.19 use `EnumNamingStrategies.LowerCamelCaseStrategy` instead.

    @Deprecated
    public static class EnumNamingStrategies.CamelCaseStrategy
    extends EnumNamingStrategies.DelegatingEnumNamingStrategy

Since:
  2.15

### Field Summary

Fields
`static EnumNamingStrategies.CamelCaseStrategy` `INSTANCE` Deprecated. An instance of `EnumNamingStrategies.CamelCaseStrategy` for reuse.

### Constructor Summary

Constructors
`protected` `CamelCaseStrategy()` Deprecated.

### Method Summary

### Methods inherited from class com.fasterxml.jackson.databind.EnumNamingStrategies.DelegatingEnumNamingStrategy

`convertEnumToExternalName, toBeanName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final EnumNamingStrategies.CamelCaseStrategy INSTANCE

Deprecated.
An instance of `EnumNamingStrategies.CamelCaseStrategy` for reuse.

Since:
  2.15

### Constructor Detail

#### CamelCaseStrategy

    protected CamelCaseStrategy()

Deprecated.